# About

1024 is a minimalistic puzzle game loosely based on 2048. The idea was to make something fun and simple using only pure HTML5, CSS and JS, without any external frameworks or libraries. This has necessitated some limitations such as hardcoding the size of the board, but given the small size of the project these tradeoffs are at the moment tractable. Another aim with this project was to play around with creating balanced and complex gameplay from a simple set of mechanics, which involved a significant amount of iteration.

The game is played by clicking on the yellow tiles. Doing this will copy the tile's value to its non-diagonal neighbors, and render it inactive (indicated by an `x` on a black background). If a neighbor already contains a number value then expansion is only possible if the clicked value and the neighbor value are the same, in which case it will be doubled. Tiles which are blocked in all four directions have a red background, and clicking these will turn the clicked tile gray and destroy all non-gray neighbors (including diagonals). The current score is the sum of all gray tiles on the field, and the goal is to maximize this score.

The game starts with a single yellow tile at the center of the 7x7 tile board. There are three difficulty levels which determine the initial value of the yellow tile (easy = 4, medium = 2, hard = 1). The game is over once no possible moves are available.
